SDL_GetPropertyType(3)

NAME
SDL_GetPropertyType - Get the type of a property in a group of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_PropertyType SDL_GetPropertyType(SDL_PropertiesID props, const char *name);

FUNCTION PARAMETERS

props
    the properties to query.

name
    the name of the property to query.

RETURN VALUE
( SDL_PropertyType ) Returns the type of the property, or

SDL_PROPERTY_TYPE_INVALID
 if it is not set.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_HasProperty(3)